Bug 1133384 - (CVE-2019-11498) VUL-1: CVE-2019-11498: wavpack: WavpackSetConfiguration64 in pack_utils.c in libwavpack.a in WavPack through 5.1.0 has a "Conditional jump or move depends on uninitialised value" condition, which might allow attackers to cause a denial of s
(CVE-2019-11498)
VUL-1: CVE-2019-11498: wavpack: WavpackSetConfiguration64 in pack_utils.c in ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/230176/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-25 10:22 UTC by Marcus Meissner
Modified: 2019-11-15 06:59 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2019-04-25 10:22:35 UTC
CVE-2019-11498

WavpackSetConfiguration64 in pack_utils.c in libwavpack.a in WavPack through
5.1.0 has a "Conditional jump or move depends on uninitialised value" condition,
which might allow attackers to cause a denial of service (application crash) via
a DFF file that lacks valid sample-rate data.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-11498
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11498
https://github.com/dbry/WavPack/issues/67
https://github.com/dbry/WavPack/commit/bc6cba3f552c44565f7f1e66dc1580189addb2b4
Comment 1 Marcus Meissner 2019-04-25 10:26:33 UTC
seems SLE15 wavpack and later
Comment 2 Tomáš Chvátal 2019-08-14 10:36:05 UTC
Update sent to TW and SLE15.
Comment 3 Swamp Workflow Management 2019-08-14 10:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1133384) was mentioned in
https://build.opensuse.org/request/show/723265 Factory / wavpack
Comment 5 Swamp Workflow Management 2019-08-21 19:16:05 UTC
SUSE-SU-2019:2191-1: An update that fixes two vulnerabilities is now available.

Category: security (low)
Bug References: 1133384,1141334
CVE References: CVE-2019-1010319,CVE-2019-11498
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    wavpack-5.1.0-4.6.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    wavpack-5.1.0-4.6.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    wavpack-5.1.0-4.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    wavpack-5.1.0-4.6.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    wavpack-5.1.0-4.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-09-05 13:21:29 UTC
openSUSE-SU-2019:2067-1: An update that fixes two vulnerabilities is now available.

Category: security (low)
Bug References: 1133384,1141334
CVE References: CVE-2019-1010319,CVE-2019-11498
Sources used:
openSUSE Leap 15.1 (src):    wavpack-5.1.0-lp151.5.3.1
openSUSE Leap 15.0 (src):    wavpack-5.1.0-lp150.3.6.1
Comment 7 Marcus Meissner 2019-11-15 06:59:10 UTC
released